QGIS Application - Bug report #5858

Georeferencer ignores "Use 0 for transparency when needed" switch

2012-06-25 02:49 AM - Andrew Miller

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:1.8.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: no timely feedback

Copied to github as #: 15323

Description

When | tick the "Use 0 for transparency when needed" and click "Start georeferencing" against an image that is rotated, | end up with a
GeoTiff that has 3 bands, and black triangles in each corner. However, if | click "Generate GDAL script" and manually run the generated
commands, a 4 band GeoTiff is created, with Band 4 as an alpha layer and the 4 corner triangles marked as transparent.

It seems that Georeferencer is not applying the -dstalpha flag when running gdalwarp (this is the only difference in the generated script

when the "Use 0 for transparency when needed" is toggled).

History

#1 - 2012-09-04 12:06 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#2 - 2014-06-28 07:42 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2014-06-29 06:33 AM - Jiirgen Fischer

- Category changed from C++ Plugins to C++ plugins/Georeferencer

#4 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#5 - 2018-03-01 12:24 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#6 - 2019-02-23 07:17 PM - Jiirgen Fischer
- Resolution set to no timely feedback
- Status changed from Feedback to Closed
